from django.views.decorators.http import require_http_methods

from backend.Service.TemplateService import TemplateService


@require_http_methods(['POST'])
def Create(reqeust):
    return TemplateService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return TemplateService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return TemplateService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return TemplateService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return TemplateService.Search(reqeust)

@require_http_methods(['POST'])
def pageTemplate(reqeust):
    return TemplateService.pageTemplate(reqeust)
